--!movie
--!encoding=utf-8

global $

----------------------------------------
--
----------------------------------------
on alertHook (aMsg, aText, aType)
	case (aType) of
	#alert: return 0
	otherwise:
		$.console.stdErr(aMsg&": "&aText&$.LF)
		$.console.stdOut($.console._prompt)
		return 1
	end case
end

----------------------------------------
-- OVERWRITE
----------------------------------------

----------------------------------------
--
----------------------------------------
on showGlobals
	str = "-- Global Variables --"&$.LF
	g = the globals
	repeat with i = 1 to g.count
		put g.getPropAt(i) & " = " & $.console._enc(g[i]) &$.LF after str
	end repeat
	$.console.stdOut(str&$.LF)
end

----------------------------------------
--
----------------------------------------
on put
	cnt = paramCount()
	if cnt=0 then return $.console.stdOut($.LF)
	str = $.console._enc(param(1))
	repeat with i = 2 to cnt
		put "  "&$.console._enc(param(i)) after str
	end repeat
	str = $.console._regex.fixEOL(str)
	$.console.stdOut(str&$.LF)
end

----------------------------------------
--
----------------------------------------
on out (str)
	$.console.stdOut(string(str)&$.LF)
end

----------------------------------------
--
----------------------------------------
on trace
	cnt = paramCount()
	if cnt=0 then return $.console.stdOut($.LF)
	str = $.console._enc(param(1))
	repeat with i = 2 to cnt
		put "  "&$.console._enc(param(i)) after str
	end repeat
	str = $.console._regex.fixEOL(str)
	$.console.stdOut(str&$.LF)
end
