--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new ()
on new (me,p1)
  me._class = #Drag
  me.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
  if ilk(p1)=#instance then
    p1._children.add(me)
    p1 = p1._id
  end if
  me._id = $.Qt._qx.newObject(me._class,p1)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
	obj._class = #Drag
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- exec (*int dropAction) -> int dropAction
on exec (me,p1)
	if voidP(p1) then
		return $.Qt._qx.callObject(me._id,#exec)
	else 
		return $.Qt._qx.callObject(me._id,#exec,p1)
	end if
end

-- setImage (image)
on setImage (me,p1)
	$.Qt._qx.callObject(me._id,#setImage,p1)
end

-- setMimeData (string format, bytearray|string data)
on setMimeData (me,p1,p2)
  $.Qt._qx.callObject(me._id,#setMimeData,p1,p2)
end

-- setHotSpot (int x, int y)
on setHotSpot (me,p1,p2)
  $.Qt._qx.callObject(me._id,#setHotSpot,p1,p2)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------
