--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new (*WidgetID)
on new (me,p1)
  me._class = #NetworkCookieJar
  me.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
  if ilk(p1)=#instance then
    p1._children.add(me)
    p1 = p1._id
  end if
  me._id = $.Qt._qx.newObject(me._class,p1)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
	obj._class = #NetworkCookieJar
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- allCookies () -> list NetworkCookieIDs
on allCookies (me)
--  res = $.Qt._qx.callObject(me._id,#allCookies)
--  res = []
--  repeat with id in ids
--		obj = $.Qt.NetworkCookie._make(id)
--		res.add(obj)
--  end repeat
--  return res
  return $.Qt._qx.callObject(me._id,#allCookies)
end

-- setAllCookies (list NetworkCookieIDs)
on setAllCookies (me,p1)
--	ids = []
--	repeat with p in p1
--		ids.add(p._id)
--	end repeat
--  $.Qt._qx.callObject(me._id,#setAllCookies,ids)
  $.Qt._qx.callObject(me._id,#setAllCookies,p1)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------
