--!parent
--!encoding=utf-8

--****************************************************************************
-- @package Qt OOP API
-- @version 0.2
-- @requires Xtra("QtWidgets")
-- @author Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
on new (me,p1)
	me._class = #Resource
	me.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
	
	-- test
	if ilk(p1)=#instance then
		p1._children.add(me)
		p1 = p1._id
		me._id = $.Qt._qx.newObject(me._class,p1)
		
	else
		
		-- org
		me._id = $.Qt._qx.newObject(me._class)
	end if
	
	return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iObject.ls").new()
	obj._class = #Resource
	obj._id = id
	return obj
end

----------------------------------------
-- STATIC
----------------------------------------

-- registerResourceData (any resData) -> bool
on registerResourceData (scr,p1)
	return $.Qt._qx.callObject(#Resource,#registerResourceData,p1)
end

-- registerResourceFile (string resFilename) -> bool
on registerResourceFile (scr,p1)
	return $.Qt._qx.callObject(#Resource,#registerResourceFile,p1)
end

-- unregisterResourceFile (string resFilename) -> bool
on unregisterResourceFile (scr,p1)
	return $.Qt._qx.callObject(#Resource,#unregisterResourceFile,p1)
end
