--!parent
--!encoding=utf-8

--****************************************************************************
-- @package	 Qt OOP API
-- @version		0.2
-- @requires	Xtra("QtWidgets")
-- @author	 	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
-- new (*WidgetID)
on new (me,p1)
	me._class = #AxWidget
	me.ancestor = $.include($.Qt.libDir&"classes/iWidget.ls").new()
	if ilk(p1)=#instance then
		p1._children.add(me)
		p1 = p1._id
	end if
	me._id = $.Qt._qx.newWidget(me._class,p1)
	return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iWidget.ls").new()
	obj._class = #AxWidget
	obj._id = id
	return obj
end

---newWidget (#AxWidget, *int parentID, int windowFlags, string nameOrClassOrUUID)

----------------------------------------
-- ACTIONS
----------------------------------------

-- dynamicCall (string cmd, *string arg) -> string|int|float
on dynamicCall (me,p1,p2)
	put "YO"
	if voidP(p2) then return $.Qt._qx.callWidget(me._id,#dynamicCall,p1)
	else return $.Qt._qx.callWidget(me._id,#dynamicCall,p1,p2)
end

-- getProperty (string prop) -> string|int|float
on getProperty (me,p1)
	return $.Qt._qx.callWidget(me._id,#getProperty,p1)
end

-- setControl (string nameOrClassOrUUID) -> int
on setControl (me,p1)
	return $.Qt._qx.callWidget(me._id,#setControl,p1)
end

-- setProperty (string prop, string val) -> int
on setProperty (me,p1,p2)
	return $.Qt._qx.callWidget(me._id,#setProperty,p1,p2)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------
