--!parent
--!encoding=utf-8

--****************************************************************************
-- @package   Qt OOP API
-- @version  	0.2
-- @requires  Xtra("QtWidgets")
-- @author   	Valentin Schmidt
--****************************************************************************

global $

property ancestor
property _id
property _class

----------------------------------------
-- @constructor
----------------------------------------
on new (me,p1)
  me._class = #DialogButtonBox
  me.ancestor = $.include($.Qt.libDir&"classes/iWidget.ls").new()
  if ilk(p1)=#instance then
    p1._children.add(me)
    p1 = p1._id
  end if
  me._id = $.Qt._qx.newWidget(me._class,p1)
  return me
end

-- static
on _make (scr, id)
	obj = scr.rawNew()
	obj.ancestor = $.include($.Qt.libDir&"classes/iWidget.ls").new()
	obj._class = #DialogButtonBox
	obj._id = id
	return obj
end

----------------------------------------
-- ACTIONS
----------------------------------------

-- button (int) -> PushButtonID
on button (me,p1)
  id = $.Qt._qx.callWidget(me._id,#button,p1)
  put id
  if id>0 then id = $.Qt.PushButton._make(id)
  return id
end

-- setStandardButtons (int)
on setStandardButtons (me,p1)
  $.Qt._qx.callWidget(me._id,#setStandardButtons,p1)
end

----------------------------------------
-- STATIC
----------------------------------------

----------------------------------------
-- SIGNALS
----------------------------------------

-- accepted
on accepted(me,id)
  me._detach(#accepted,me)
end

-- rejected
on rejected(me,id)
  me._detach(#rejected,me)
end
